Issue #9350 has been updated by Yui NARUSE.

Backport changed from 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: REQUIRED to 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: DONE

----------------------------------------
Bug #9350: Handle IP_MULTICAST_LOOP and IP_MULTICAST_TTL socket options correctly on OpenBSD
https://bugs.ruby-lang.org/issues/9350#change-45290

* Author: Jeremy Evans
* Status: Closed
* Priority: Normal
* Assignee: 
* Category: 
* Target version: 
* ruby -v: ruby 2.1.0p0 (2013-12-25 revision 44422) [x86_64-openbsd]
* Backport: 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: DONE
----------------------------------------
OpenBSD is similar to NetBSD in that the IP_MULTICAST_LOOP and IP_MULTICAST_TTL socket options take unsigned char and not int arguments.  So replace

  #ifdef __NetBSD__

with

  #if defined(__NetBSD__) || defined(__OpenBSD__)


---Files--------------------------------
patch-ext_socket_option_c (2.17 KB)


-- 
http://bugs.ruby-lang.org/